HolderInstantiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal
Class HolderInstantiator

    java.lang.Object
      org.hibernate.hql.internal.HolderInstantiator

    public final class HolderInstantiator

extends Object

Field Summary
`static HolderInstantiator` | `NOOP_INSTANTIATOR`

Constructor Summary
`HolderInstantiator(ResultTransformer transformer, String[] queryReturnAliases)`

Method Summary
`static HolderInstantiator` | `createClassicHolderInstantiator(Constructor constructor, ResultTransformer transformer)`
`static ResultTransformer` | `createSelectNewTransformer(Constructor constructor, boolean returnMaps, boolean returnLists)`
`static HolderInstantiator` | `getHolderInstantiator(ResultTransformer selectNewTransformer, ResultTransformer customTransformer, String[] queryReturnAliases)`
`String[]` | `getQueryReturnAliases()`
`ResultTransformer` | `getResultTransformer()`
`Object` | `instantiate(Object[] row)`
`boolean` | `isRequired()`
`static ResultTransformer` | `resolveClassicResultTransformer(Constructor constructor, ResultTransformer transformer)`
`static ResultTransformer` | `resolveResultTransformer(ResultTransformer selectNewTransformer, ResultTransformer customTransformer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOOP_INSTANTIATOR

    public static final HolderInstantiator NOOP_INSTANTIATOR

Constructor Detail

### HolderInstantiator

    public HolderInstantiator(ResultTransformer transformer,
                              String[] queryReturnAliases)

Method Detail

### getHolderInstantiator

    public static HolderInstantiator getHolderInstantiator(ResultTransformer selectNewTransformer,
                                                           ResultTransformer customTransformer,
                                                           String[] queryReturnAliases)

### resolveResultTransformer

    public static ResultTransformer resolveResultTransformer(ResultTransformer selectNewTransformer,
                                                             ResultTransformer customTransformer)

### createSelectNewTransformer

    public static ResultTransformer createSelectNewTransformer(Constructor constructor,
                                                               boolean returnMaps,
                                                               boolean returnLists)

### createClassicHolderInstantiator

    public static HolderInstantiator createClassicHolderInstantiator(Constructor constructor,
                                                                     ResultTransformer transformer)

### resolveClassicResultTransformer

    public static ResultTransformer resolveClassicResultTransformer(Constructor constructor,
                                                                    ResultTransformer transformer)

### isRequired

    public boolean isRequired()

### instantiate

    public Object instantiate(Object[] row)

### getQueryReturnAliases

    public String[] getQueryReturnAliases()

### getResultTransformer

    public ResultTransformer getResultTransformer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.